Run report by rule
curl --request POST \
--url https://api.example.com/api/dq/rules/{dq_id}/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dq/rules/{dq_id}/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dq/rules/{dq_id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"status": "<string>",
"external_id": "<string>",
"output": "<string>",
"error": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Quality
Run report by rule
Run a data quality rule and report back to the DataHub assertions.
POST
/
api
/
dq
/
rules
/
{dq_id}
/
report
Run report by rule
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID of the rule to run a report on.
Response
Report Completed.
Unique ID of the data quality rule that generated this report entry.
Name of the rule corresponding to the rule_id.
Result status of the rule run.
Uniform Resource Name (URN) of the assertion in DataHub.
Output or result details from the rule run.
Error message if the rule failed to execute properly.
Was this page helpful?

